package com.taais.biz.mapper;

import com.mybatisflex.core.BaseMapper;
import com.taais.biz.domain.bo.TargetIdentificationSubtaskDetailsBo;
import org.apache.ibatis.annotations.Mapper;
import com.taais.biz.domain.TargetIdentificationSubtaskDetails;

import java.util.List;

/**
 * 目标识别子任务Mapper接口
 *
 * @author 0
 * 2024-08-17
 */
@Mapper
public interface TargetIdentificationSubtaskDetailsMapper extends BaseMapper<TargetIdentificationSubtaskDetails> {

    List<TargetIdentificationSubtaskDetailsBo> getTargetIdentificationSubtaskDetailsListBySubtaskId(Long subtaskId);

    List<Long> getByTaskType(String taskType);
}
