package com.taais;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * Km启动程序
 *
 * @author wgk
 */
@EnableScheduling
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class}, scanBasePackages = {"com.taais"})
public class TaaisApplication {
    public static void main(String[] args) {
        SpringApplication.run(TaaisApplication.class, args);
        System.out.println("Taais 启动成功! 🎉🎉🎉🎉🎉");
    }
}
