package com.taais.biz.domain.vo;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import java.io.Serial;
import java.io.Serializable;
import lombok.NoArgsConstructor;

/**
 * 视频去抖动导入视图对象 video_stable
 *
 * @author 0
 * @date 2024-08-30
 */

@Data
@NoArgsConstructor
public class VideoStableImportVo implements Serializable
{

    @Serial
    private static final long serialVersionUID = 1L;


     /** 视频名称 */
    @ExcelProperty(value = "视频名称")
    private String name;

     /** 任务状态 0未开始 1进行中 2已结束 */
    @ExcelProperty(value = "任务状态 0未开始 1进行中 2已结束")
    private String status;

     /** 输入图片集路径 */
    @ExcelProperty(value = "输入图片集ossId")
    private Long inputOssId;

     /** 开始时间 */
    @ExcelProperty(value = "开始时间")
    private Date startTime;

     /** 结束时间 */
    @ExcelProperty(value = "结束时间")
    private Date endTime;

     /** 耗时 */
    @ExcelProperty(value = "耗时")
    private Long costSecond;

     /** 日志 */
    @ExcelProperty(value = "日志")
    private String log;

     /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

     /** 逻辑删除标志（0代表存在 1代表删除） */
    @ExcelProperty(value = "逻辑删除标志（0代表存在 1代表删除）")
    private Integer delFlag;

    @ExcelProperty(value = "输入路径")
    private String inputPath;
    @ExcelProperty(value = "输出路径")
    private String outputPath;
}
