package com.taais.biz.mapper;

import com.mybatisflex.core.BaseMapper;
import com.taais.biz.domain.vo.AlgorithmBizProcessVo;
import org.apache.ibatis.annotations.Mapper;
import com.taais.biz.domain.AlgorithmBizProcess;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 算法业务处理Mapper接口
 *
 * @author 0
 * 2024-06-14
 */
@Mapper
public interface AlgorithmBizProcessMapper extends BaseMapper<AlgorithmBizProcess> {

    void updateTaskAndSubtask(@Param("bizId") Long bizId, @Param("bizType") String bizType);

    List<AlgorithmBizProcessVo> getStatus0ProcessBySubtaskId(Long subtaskId);

    List<AlgorithmBizProcessVo> getProcessBySubtaskId(Long subtaskId);
}
