package com.taais.biz.mapper;

import com.mybatisflex.core.BaseMapper;
import com.taais.biz.domain.vo.DataSelectVo;
import com.taais.biz.domain.vo.BatchDataResult;
import org.apache.ibatis.annotations.Mapper;
import com.taais.biz.domain.Data;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * 数据管理Mapper接口
 *
 * @author km
 * 2024-04-22
 */
@Mapper
public interface DataMapper extends BaseMapper<Data> {

    List<Long> getIds(@Param("size") Integer size);

    List<BatchDataResult> getBatchData();

    List<DataSelectVo> getFormSelects(@Param("field") String field);
}
